# FoundationClasses
TKMath
Poly

# Poly_CoherentTriPtr::Iterator Class Reference

`#include <Poly_CoherentTriPtr.hxx>`

## Public Member Functions

| Iterator ()
| Empty constructor.
| Iterator (const Poly_CoherentTriPtr &thePtr)
| Constructor.
const Poly_CoherentTriangle * | First () const
| Query the triangle that started the current iteration.
Standard_Boolean | More () const
| Query if there is available triangle pointer on this iteration.
Standard_EXPORT void | Next ()
| Go to the next iteration.
const Poly_CoherentTriangle & | Value () const
| Get the current iterated triangle.
Poly_CoherentTriangle & | ChangeValue () const
| Get the current iterated triangle (mutable).
const Poly_CoherentTriPtr & | PtrValue () const
| Get the current iterated pointer to triangle.

## Private Attributes

const Poly_CoherentTriPtr * | myFirst
const Poly_CoherentTriPtr * | myCurrent

## Detailed Description

Iterator class for this list of triangles. Because the list is round, an iteration can be started from any member and it finishes before taking this member again. The iteration sense is always forward (Next).

## Constructor & Destructor Documentation

Poly_CoherentTriPtr::Iterator::Iterator | ( |  | ) | `[inline]`

Poly_CoherentTriPtr::Iterator::Iterator | ( | const Poly_CoherentTriPtr & | thePtr | ) | `[inline]`

## Member Function Documentation

Poly_CoherentTriangle& Poly_CoherentTriPtr::Iterator::ChangeValue | ( |  | ) | const`[inline]`

const Poly_CoherentTriangle* Poly_CoherentTriPtr::Iterator::First | ( |  | ) | const`[inline]`

Standard_Boolean Poly_CoherentTriPtr::Iterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void Poly_CoherentTriPtr::Iterator::Next | ( |  | ) |

const Poly_CoherentTriPtr& Poly_CoherentTriPtr::Iterator::PtrValue | ( |  | ) | const`[inline]`

const Poly_CoherentTriangle& Poly_CoherentTriPtr::Iterator::Value | ( |  | ) | const`[inline]`

## Field Documentation

const Poly_CoherentTriPtr* Poly_CoherentTriPtr::Iterator::myCurrent `[private]`

const Poly_CoherentTriPtr* Poly_CoherentTriPtr::Iterator::myFirst `[private]`

The documentation for this class was generated from the following file:

- Poly_CoherentTriPtr.hxx